# Audio device connected

A decision block that checks if an audio device is connected, or disconnected.

If the proceed option is set to Immediately, then check if a device is currently connected without pausing the fiber. If set to When changed, then the fiber will pause until a device has been connected, or was disconnected.

Note! This feature requires Android 6+.

## Options

- Proceed — when the fiber should proceed.

## Input arguments

- Device type — type of audio device, default is any.
- Device mode — input and/or output mode of device, default is any.
- Device brand — brand/product name of device, default is any, may contain glob pattern.

## Output variables

- Connected device type — variable to assign the type of device connected.
- Connected device mode — variable to assign the mode of the connected device.
- Connected device brand — variable to assign the brand/product name of the connected device.